libmspub::ColorReference Class Reference

`#include <ColorReference.h>`

## Public Member Functions

| ColorReference (unsigned color)
| ColorReference (unsigned baseColor, unsigned modifiedColor)
Color | getFinalColor (const std::vector< Color > &palette) const

## Private Member Functions

Color | getRealColor (unsigned c, const std::vector< Color > &palette) const

## Private Attributes

unsigned | m_baseColor
unsigned | m_modifiedColor

## Static Private Attributes

static const unsigned char | CHANGE_INTENSITY = 0x10
static const unsigned char | BLACK_BASE = 0x1
static const unsigned char | WHITE_BASE = 0x2

## Friends

bool | operator== (const libmspub::ColorReference &l, const libmspub::ColorReference &r)

## Constructor & Destructor Documentation

## ColorReference() [1/2]

libmspub::ColorReference::ColorReference | ( | unsigned | color | ) |

inline explicit

Referenced by operator==.

## ColorReference() [2/2]

libmspub::ColorReference::ColorReference | ( | unsigned | baseColor,
|  | unsigned | modifiedColor )

inline

## Member Function Documentation

## getFinalColor()

Color libmspub::ColorReference::getFinalColor | ( | const std::vector< Color > & | palette | ) | const

Referenced by libmspub::MSPUBCollector::paintShape(), and libmspub::writeCustomShape().

## getRealColor()

Color libmspub::ColorReference::getRealColor | ( | unsigned | c,
|  | const std::vector< Color > & | palette ) const

private

Referenced by getFinalColor().

## Friends And Related Symbol Documentation

## operator==

bool operator== | ( | const libmspub::ColorReference & | l,
|  | const libmspub::ColorReference & | r )

friend

## Member Data Documentation

## BLACK_BASE

const unsigned char libmspub::ColorReference::BLACK_BASE = 0x1

static private

Referenced by getFinalColor().

## CHANGE_INTENSITY

const unsigned char libmspub::ColorReference::CHANGE_INTENSITY = 0x10

static private

Referenced by getFinalColor().

## m_baseColor

unsigned libmspub::ColorReference::m_baseColor

private

Referenced by ColorReference(), ColorReference(), getFinalColor(), and operator==.

## m_modifiedColor

unsigned libmspub::ColorReference::m_modifiedColor

private

Referenced by ColorReference(), ColorReference(), getFinalColor(), and operator==.

## WHITE_BASE

const unsigned char libmspub::ColorReference::WHITE_BASE = 0x2

static private

Referenced by getFinalColor().

The documentation for this class was generated from the following files:

- ColorReference.h
- ColorReference.cpp